org.apache.sysds.hops.cost

## Class ComputeCost

- java.lang.Object
- - org.apache.sysds.hops.cost.ComputeCost

    public class ComputeCost
    extends Object

Class with methods estimating compute costs of operations.

### Constructor Summary

Constructors
Constructor and Description
`ComputeCost()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `getHOPComputeCost(Hop currentHop)` Get compute cost for given HOP based on the number of floating point operations per output cell and the total number of output cells.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComputeCost

    public ComputeCost()

### Method Detail

#### getHOPComputeCost

    public static double getHOPComputeCost(Hop currentHop)

Get compute cost for given HOP based on the number of floating point operations per output cell and the total number of output cells.

Parameters:
  `currentHop` - for which compute cost is returned
Returns:
  compute cost of currentHop as number of floating point operations